Subject: [Ntp] Version request

From: "Dijck, Gerard van" <[email-masked]>
Date: Wed, 17 Feb 2021 09:47:48 +0000

Dear mr/mrs,

Would it be possible to ask a few questions about the versions of some specific RFC doc's please?

I like to know about the following doc's:

name
titel
Active version
Prev. version
IETF RFC 7159
The JavaScript Object Notation (JSON) Data Interchange Format
RFC 7159_2014-3
-
IETF RFC 5246
The Transport Layer Security (TLS) Protocol
TLS1.3 RFC8446_2018-3
TLS1.2 RFC5246_2008-08
IETF RFC 3986
Uniform Resource Identifier (URI): Generic Syntax
STD66 RFC 3986_2005
-
IETF RFC 7525
Recommendations for Secure Use of Transport Layer Security (TLS) and Datagram Transport Layer Security (DTLS)
BCP 195 RFC 7525_2015-05

IETF RFC 5905
Network Time Protocol Version 4: Protocol and Algorithms Specification
RFC 5905 V4_2010-6
n/a

Are the versions in "Active version" indeed the latest versions?
Is RFC 5246 replaced by RFC 8446?
Are any other of the mentioned RFC's replaced by an other document or RFC?

Thank you so much!

Met vriendelijke groet,

Gerard van Dijck

[http://www.crow.nl/getmedia/518ea554-f3df-4cc4-a7f3-9b62f2e7279d/email-logo.aspx]

E      [email-masked]<mailto:[email-masked]>
T
M     06-206 509 03
W     www.crow.nl

VOLG ONS:

[View Company's Twitter profile]<http://twitter.com/crow_nl>  [View Company's LinkedIn profile] <http://www.linkedin.com/company/crow>   [View Company's Facebook profile] <http://www.facebook.com/crownl>

---

From: James <[email-masked]>
Date: Wed, 17 Feb 2021 14:02:18 +0100

Please see inline.

On 17-02-2021 10:47, Dijck, Gerard van wrote:
>
> Dear mr/mrs,
>
> Would it be possible to ask a few questions about the versions of some 
> specific RFC doc’s please?
>
> I like to know about the following doc’s:
>
> name
>
> 	
>
> titel
>
> 	
>
> Active version
>
> 	
>
> Prev. version
>
> IETF RFC 7159
>
> 	
>
> *RFC 7159_2014-3***
> *TLS1.3 **RFC8446**_2018-3***
>
> 	
>
> TLS1.2 RFC5246_2008-08
>
> IETF RFC 3986
>
> 	
>
> *STD66 RFC 3986_2005***
> *BCP 195 RFC 7525_2015-05***
>
> 	
>
> IETF RFC 5905
>
> 	
>
> *RFC 5905 V4_2010-6***
> Are the versions in “Active version” indeed the latest versions?
>
Correct. RFCs are considered immutable, and the date identifiers after 
them are only indicators of the time of publication.

> Is RFC 5246 replaced by RFC 8446?
This is correct, however it's important to understand that 
implementations may include support for both, but if you are asking in 
the context of NTS (RFC 8915) section 3 very explicitly states that no 
earlier version than TLS 1.3 be used.

> Are any other of the mentioned RFC’s replaced by an other document or RFC?
>
This is information you can acquire yourself - the documents are 
completely public. Viewing them on tools (for example 
https://tools.ietf.org/html/rfc3986) you can see "Updated by" in the 
top, which will refer to other published documents which may update 
partially or in its entirety.

> Thank you so much!
>
> Met vriendelijke groet,
>
> Gerard van Dijck
>
>
>
> *E [email-masked] <mailto:[email-masked]>
> *T *
> *M *    06-206 509 03
> *W **    www.crow.nl
>
> **VOLG ONS:
>
> **View Company's Twitter profile* <http://twitter.com/crow_nl>***View 
> Company's LinkedIn profile* 
> <http://www.linkedin.com/company/crow>***View Company's Facebook 
> profile* <http://www.facebook.com/crownl>*
>
> *
>
>
> _______________________________________________
> ntp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ntp